MethodInvocationExceptionTest (Velocity 1.4 API)
Keywords: org.apache.velocity.test.MethodInvocationExceptionTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class MethodInvocationExceptionTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.velocity.test.MethodInvocationExceptionTest

All Implemented Interfaces:
  junit.framework.Test

public class MethodInvocationExceptionTest
extends junit.framework.TestCase

Tests if we can hand Velocity an arbitrary class for logging.

Version:
  $Id: MethodInvocationExceptionTest.java,v 1.6.10.1 2004/03/03 23:23:04 geirm Exp $
Author:
  Geir Magnusson Jr.

Field Summary

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`MethodInvocationExceptionTest()` Default constructor.

Method Summary
`void` | `doException()`
`void` | `getFoo()`
`void` | `runTest()` Runs the test : uses the Velocity class to eval a string which accesses a method that throws an exception.
`void` | `setFoo(java.lang.String foo)`
`static junit.framework.Test` | `suite()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodInvocationExceptionTest

    public MethodInvocationExceptionTest()

  Default constructor.

Method Detail

### suite

    public static junit.framework.Test suite()

### runTest

    public void runTest()

  Runs the test : uses the Velocity class to eval a string which accesses a method that throws an exception.

### doException

    public void doException()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getFoo

    public void getFoo()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setFoo

    public void setFoo(java.lang.String foo)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.